import * as d3 from 'd3';
import { ColorScale } from './ColorScale';
import { Scale } from './Scale';
export declare class DateColorScale extends ColorScale {
    create_d3_scale(): void;
    scale: d3.ScaleTime<Date, number>;
}
export declare function isDateColorScale(scale: Scale): scale is DateColorScale;
